Subject: Re: bug#19731: 24.4; /dev/null is deleted by tramp-sh.el

From: Michael Albinus <[email-masked]>
Date: Mon, 02 Feb 2015 14:04:44 +0100

crocket <[email-masked]> writes:

> You shouldn't set HISTFILE to /dev/null in the first place.

Well, I'm kind of conservative. Setting HISTFILE to /dev/null is the
default for years, and your report is the first one about this problem.

I wouldn't say that we shouldn't change it, but it needs more
compatibility tests for supported shells. This could be any bournish
shell, even very old ones. Also all flavors of busybox, etc pp.

Best regards, Michael.